org.apache.fop.layoutmgr

## Class BorderOrPaddingElement

- java.lang.Object
- - org.apache.fop.layoutmgr.ListElement
  - - org.apache.fop.layoutmgr.UnresolvedListElement
    - - org.apache.fop.layoutmgr.UnresolvedListElementWithLength
      - - org.apache.fop.layoutmgr.BorderOrPaddingElement

Direct Known Subclasses:
  BorderElement, PaddingElement

    public abstract class BorderOrPaddingElement
    extends UnresolvedListElementWithLength

This class represents an unresolved border or padding element.

### Field Summary

### Fields inherited from class org.apache.fop.layoutmgr.UnresolvedListElementWithLength

`log`

### Constructor Summary

Constructors
Constructor and Description
`BorderOrPaddingElement(Position position, CondLengthProperty condLength, RelSide side, boolean isFirst, boolean isLast, PercentBaseContext context)` Main constructor

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `notifyLayoutManager(MinOptMax effectiveLength)` Called to notify the affected layout manager about the effective length after resolution.

### Methods inherited from class org.apache.fop.layoutmgr.UnresolvedListElementWithLength

`getLength, getSide, isConditional, isFirst, isLast, toString`

### Methods inherited from class org.apache.fop.layoutmgr.UnresolvedListElement

`getOriginatingLayoutManager`

### Methods inherited from class org.apache.fop.layoutmgr.ListElement

`getLayoutManager, getPosition, isBox, isForcedBreak, isGlue, isPenalty, isUnresolvedElement, setPosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BorderOrPaddingElement

    public BorderOrPaddingElement(Position position,
                                  CondLengthProperty condLength,
                                  RelSide side,
                                  boolean isFirst,
                                  boolean isLast,
                                  PercentBaseContext context)

Main constructor

Parameters:
  `position` - the Position instance needed by the addAreas stage of the LMs.
  `side` - the side to which this space element applies.
  `condLength` - the length-conditional property for a border or padding specification
  `isFirst` - true if this is a padding- or border-before of the first area generated.
  `isLast` - true if this is a padding- or border-after of the last area generated.
  `context` - the property evaluation context

### Method Detail

#### notifyLayoutManager

    public abstract void notifyLayoutManager(MinOptMax effectiveLength)

Called to notify the affected layout manager about the effective length after resolution. This method is called once before each call to the layout manager's addAreas() method.

Specified by:
  `notifyLayoutManager` in class `UnresolvedListElementWithLength`
Parameters:
  `effectiveLength` - the effective length after resolution (may be null which equals to zero effective length)